/*
	Font Styles for John Benjamins Publishing.
*/
@import url(//fonts.googleapis.com/css?family=Noto+Sans:400,400italic,700,700italic&display=swap);
@import "assignments.css";

:root {
  --jb-blauw: #253776;
  --lichtblauw: #9ccef3;
  --roze: #faa;
  --oranje-orig: #ff5500;
  --oranje: #E00000; /* 'betere' kleur met hoger contrast */
  --olijfgroen: #666633;
  --lichtergroen: #a8d5ba;
  --titelbalkrood: #831b30;
  --geel: #fdb813;
  --orcid-green:#a6ce39;
  --orcid-main-color: light-dark( var(--orcid-green), hsl(from var(--orcid-green) h 30 40) );
  --orcid-bg: var(--orcid-main-color);
  --ror-green: #53BAA1;
  --ror-main-color: light-dark( var(--ror-green), hsl(from var(--ror-green) h s 50) );
  --ror-triangle: light-dark( var(--ror-green), hsl(from var(--ror-green) h s 50) );
  --ror-letter: light-dark( #202826, #ddd );
  --font-size:10.5pt;
  --lichtgroen: #9abb91;
  --donkergroen: #335525;
  --at-sign: var(--jb-blauw-ld); 
  --fieldset-border: #a8d5ba;
  --kudos-blue: #2b7cb5;
  --felblauw:#0099ff;
  --roodbruin:#7c2529;
  --list-series-blauw:var(--jb-blauw-ld);
  --open-access-green: light-dark(#256116, var(--lichtgroen) );
  
  --main-bg-light: #fdfdfd;
  --main-bg-dark: #222;
  --main-bg: light-dark( var(--main-bg-light), var(--main-bg-dark) );
  
  --side-bg: light-dark(antiquewhite, hsl(from antiquewhite h s 10) );
  --side-bg-gradient-color: light-dark(#eadedb, hsl(from antiquewhite h 30 15) );
  
  /* NAVIGATION */
  
  --nav-groen: #335525;
  --nav-rood: #7c2529;
  --nav-lichtblauw: #6068b2;
  --nav-lila: #a7a4e0;
  --nav-lichtgroen: #9abb91;
  --nav-hover-gradient-start:#4f5964;
  --nav-hover-gradient-end:#5f6975;
  --nav-hover-bg:var(--nav-groen);
  --home-fill:var(--jb-blauw-ld);
  --nav-bg: light-dark(#ddd, #555);
  --nav-text: light-dark(#222, #ddd);
  --fieldset-bg: light-dark(#fafafa,#433);
  
  --nav-ul3-li-bg-hov: light-dark( var(--nav-lichtgroen), hsl( from var(--nav-lichtgroen) h s 60) );
  --nav-ul3-li-bg: light-dark( var(--nav-lila), hsl( from var(--nav-lila) h 35 35) );
  --nav-item-border-bottom: light-dark(#bbb,#222);
  
  --metrics-bg: light-dark(#dee, #544);
  --metrics-link-text: light-dark( var(--oranje), var(--link-text) );
  --titlebox-bg: light-dark(#dee, #544);  
  --sortbox-bg: light-dark(#def, #544);
  --searchbox-bg: light-dark(#def, #544);
  --quotebox-bg: light-dark(#efe, #544);
  --rpqr-tab-bg: light-dark(#eee, #544);
  --rpqr-tab-bg-checked: light-dark(#fff, var(--roze) );
  --rpqr-tab-text: light-dark(#666, var(--roze) );
  
  --h1-bg-light: rgb(from white r g b / 0.9);
  --h1-bg-dark:  rgb(from #aaa r g b / 0.9);
  --h1-bg: light-dark( var(--h1-bg-light), transparent );
  
  --jb-blauw-dark: hsl( from var(--jb-blauw) h 30 75);
  --jb-blauw-ld: light-dark( var(--jb-blauw), var(--jb-blauw-dark) );
  
  --h1-text: var(--jb-blauw-ld);
  
  --h2-text-light: #666633;
  --h2-text-dark: var(--roze);
  --h2-text: light-dark( var(--h2-text-light), var(--h2-text-dark) );
  
  --subtitle2-text: light-dark(#660099, hsl( from #660099 h 50 70) );
  
  /*  link colors */
  --oranje-dark: hsl(from var(--oranje) h s 65);
  --oranje-ld: light-dark( var(--oranje), var(--oranje-dark) ); /* hsl(from var(--oranje) h s 65) */
  --yellow-dark: hsl(from var(--geel) h 70 65);
  --link-text: light-dark( var(--oranje), var(--yellow-dark) );
  --link-text-hover: light-dark( var(--oranje), hsl( from yellow h s 75) );

  --underline-light: var(--lichtblauw);
  --underline-dark: var(--oranje-dark);
  --underline: light-dark(var(--underline-light), var(--underline-dark) );
  --underline-em: light-dark(.3em, .1em);
  
  --nav-grijs: light-dark( #444, #bbb );
  --authors-text: light-dark(#444,#ddd);
  --blauw-grijs: light-dark( var(--jb-blauw), var(--nav-grijs) );
  --contrib-affiliation: light-dark(black, #ddd);
  --contrib-group-heading: ; var(--blauw-grijs);
  --article-type-text: var(--nav-grijs);
  --refauth: light-dark( var(--nav-rood), #bbb);
  --refyear: light-dark(#666, var(--yellow-dark) );
  --refseries: var(--jb-blauw-ld);
  --references__item-title: light-dark( var(--jb-blauw), #fff);
  --refsource-link: light-dark( var(--oranje), var(--roze) );
  
  --h2-tab-bg: light-dark( #e9e9e9, var(--jb-blauw) );
  --h2-tab-text: light-dark( var(--jb-blauw), #e9e9e9  );
  
  --tab-summary-bg-hover: light-dark( orange, hsl(from orange h s 35) );
  --action-bg-hover: var(--tab-summary-bg-hover);
  
  /* other properties */
  --letter-spacing-when-dark: 0;
  --bold: bold; 
  --image-width : 225px;
  --image-height: 300px;
  --detail-image-width: var(--image-width);
  --detail-image-height: var(--image-height);
  --thumb-width: calc(var(--image-width) / 2);
  --thumb-height: calc(var(--image-height) / 2);
  --control-line-height: 2em;
  --border-thickness: 1px;
  --field__border: #ccc;
  --field__border-radius: 0;
  --select-field-with-value__border-color: #ccc;
  --select-field-with-value__background-color: var(--lichtblauw);
  --select-field-without-value__border-color: red;
  --select-field-without-value__background-color: var(--geel);
  --font-size:10.5pt;
  --border-radius-top-only: .25em .25em 0 0 ;

  color-scheme: light dark;
  font-display: swap;
  letter-spacing:var(--letter-spacing-when-dark);
}

body, td, button, input, select { 
  font-family: "Noto Sans", "Noto Sans SC", sans-serif; 
  font-size: var(--font-size);
	line-height: 1.65em;
}
.booktext ul {
  padding-inline-start:1em;
}
ul li {
	list-style: outside;
	list-style-type:"\2013\2002"; 
	margin-left: 0em;
	margin-bottom: 0.25em;
}

li li {
	margin-top: 0.25em;
	margin-bottom: 0.25em;
	_margin-left: 1em;
}

ol li, ul li{
	max-width: 45em;
}
ul.articles .heading-label {
  font-weight:bold;
}

/* styles for static pages */
h1, h2, h3, h4, h5, h6 {
    line-height: 1.3em;
    margin-top: .75em;
    margin-bottom: .25em;
}
h1 + h2 {
  margin-top:0;
  padding-top:0;
}

h1	{
	font-size: 1.5em;
	font-weight: bold;
	margin-top: 0;
	margin-bottom: .5em;
}

h2, .parent-subject	{
	font-size: 1.2em;
	font-weight: var(--bold);
	color: var(--h2-text);
	line-height:1.75em;
}

h3 {
	font-size: 1.1em;
	font-weight: var(--bold);
}
footer h3 {
    padding-top:0;
    margin-top:0;
}

h4 {
	font-size: 1.1em;
	font-weight:normal;
	font-style:italic;
}

h5 {
	font-size:1em;
	font-weight: bold;
}

h6 {
	font-size:0.85em;
	font-weight: bold;
}

p {
    line-height: 1.65em;
    margin-bottom: 0.6em;
    margin-top: 0;
    max-width:45em;
}
p.wide {
  max-width:initial;
}

.email {
	color: #003c83;
}

.news_date{
	color:#696969;
}

.hi {
	background-color:yellow;
}

/*  reference styling */
details.toc .ref-list {
  margin-top:.66em;
  margin-bottom:.33em;
}
details.toc > section.ref-list > span.toc-title {
  font-size:1.2em;
  font-weight:bold;
}
details.toc > section > div > span.toc-title {
  font-size:1.1em;
  font-style:italic;
}
.reference {
	display: block;
	text-indent: -6.6em;
	margin:0em;
	margin-left: 6.6em;
	line-height: 1.65em;
	margin-top: .25em;
/*	max-width: 45em;*/
}
.reference .doi-image-logo-container {
  display: inline-block;
  text-indent: 0;
  position: relative;
  top: .45em;
}
.reference.labelref {
    margin-left:0;
}
.sourcefirst .refrole {
    min-width:0;
    padding-left:0;
}
.sourcefirst {
    text-indent:-6.6em;
    margin-left:0em;
}
.refauth {
	font-weight:var(--bold);
	color:var(--refauth);
}
.refline .refauth {
    color:#555;
}

#cited-by {
  display:inline-block;
}
.sort-box {
  background-color:var(--sortbox-bg);
  padding:.5em;
  border-radius:.25em;
  clear:both;
  position:sticky;
  top:100px;
}
.sort-box .collapse {
  width: 2em;
  display:inline-block;
  float:right;
  opacity:.5;
}
.sort-box:hover .collapse {
  opacity:1;
}
.sort-box[data-state=closed] .collapse svg {
  transition: all .5s;
  rotate: 0deg;
}
.sort-box[data-state=open] .collapse svg {
  transition: all .5s;
  rotate: 180deg;
}
.cited-by .refauth {
  margin-top:.7em;
}
.hidden {
	display:none;
}

.refauth.hidden+ *::before {
  content:"\2014\2014\2014";
  display:inline;
  color:var(--refauth);
  font-weight:bold;
  letter-spacing:-.1em;
}
.refline {
	margin-top: .1em;
	margin-bottom:.5em;
    position:relative;
}
.refyear {
  color: var(--refyear);
  font-weight:bold;
}
/* make the main title bold */
.chapter-title
, .reference .article-title
, .refyear + .refsource
, .refrole + .chapter-title {
  font-weight:var(--bold);
  font-style:normal;
  color:var(--references__item-title);
}
.refsource, .transliteratedsource {
	font-style:italic;
}
.refsource[lang=zh-hant],
.refsource[lang=zh-hans],
.refsource[lang=zh]
{
    font-style:normal;
}
.refseries
, a.refseries:link
, a.refseries:visited {
	color: var(--refseries);
}
.space {
	display:inline-block;
	width:.3em;
}
.singleref {
	margin-bottom:.5em;
	}
.refrole {
    min-width:3em;
    padding-left:.75em;
    text-indent:0;
    display:inline-block;
}

.labelref .refrole {
    position:static;
    float:none;
    min-width:initial;
    padding-left:0;
}

.firstref {
	margin-bottom:0;
	}
.nextref {
	margin-top: 0;
	margin-bottom:0;
}
.lastref {
	margin-top: 0;
}
.otherref{
	text-indent: -2.75em;
	margin-left:0;
}
.labelref {
    text-indent:0;
    margin-left:2.5em;
}
.labelfirst {
    text-indent:-2.5em;
    margin-left:2.5em;
}
.edited {
	text-indent: -6em;
}
.samedash {
	letter-spacing:-.15em;
	font-stretch: expanded;
}
.stars {
	margin-top:1em;
	text-align: center;
}

.sc, sc {
    font-variant: small-caps;
}
.italic {
	font-style:italic;
}
.refsource .italic {
    font-style:normal;
}
.roman {
	font-style:roman;
}

.tabLabel {
	color:white;
	font-size:.95em;
}

.welcome {
	color:#003399;
}

.first {
   margin-top: .75em;
}
.ebpb {
    font-style: italic;
}
.ebpbnote {
    color: #9d0000;
    font-weight:bold;
}

a:link,a:visited {
	text-decoration:none;
	color: var(--link-text);
  font-weight: var(--bold);
}
  
/* use bold for all 'internal' links when classified as 'catalog' */
a.catalog {
  font-weight: var(--bold);
}
a.series:link, a.series:visited {
	text-decoration:none;
	color:#253776;
}
a.rorlink:link, a.rorlink:visited {
  font-weight:normal;
  color:inherit;
}
a:hover, a:active, a:focus-visible {
	text-decoration:underline;
	text-decoration-color:var(--underline);
	text-decoration-thickness:var(--underline-em);
	text-decoration-skip-ink:none;
	color:var(--link-text-hover);
}

/* details font! */
.bbr td {
	vertical-align:top
}

.bbr p {
	margin-top:0;
}
.bbrlink {
	font-weight: bold;
	font-size: .8em;
	font-family: Verdana, sans serif;
	background-color: #f0f0f0;
	padding-top: 0;
	padding-bottom: .05em;
	padding-left: .3em;
	padding-right: .15em;
	letter-spacing: .1em;
	border:1px solid;
	border-radius:.35em;
	border-color: #ccc;
	vertical-align:.1em;
}

/* ORCiD styles, from the ORCiD site */
.id-wrapper.orcid-id {
    border: 1px solid var(--orcid-main-color);
}
.id-wrapper.ror-id {
    border: 1px solid var(--ror-main-color);
}
.id-wrapper {
    margin-bottom: 10px;
    width: 100%;
    max-width:18em;
    box-sizing: border-box;
}
h2 + .id-wrapper {
  margin-top: 1em;
}
.full-name {
    font-family: 'Gill Sans W02', 'Helvetica', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin: 10px 0 0 !important;
    line-height: 1;
    word-break: break-word;
    padding-bottom: 10px;
}
.id-wrapper .id-container {
    padding: 5px;
}
.id-banner-header abbr{
      text-decoration:none;
}
.orcid-id .id-banner-header > * {
      background: var(--orcid-main-color);
}
.ror-id .id-banner-header > * {
      background: var(--ror-main-color);
}
.id-wrapper .id-banner-header > * {
    height: 21px;
    font-size: 16px;
    font-weight: 800;
    padding: 0 5px;
    color: #FFF;
    display: block;
    width: 100%;
    box-sizing: border-box;
}

.ror-id .id-container svg {
  display:inline-block;
  width:4.5em;
  height:1.5em;
  margin-right:.5em;
}

.ror-id .id-container {
  font-size: 1.1em;
  display:flex;
}

.mini-orcid-icon {
  margin: 0 .25em;
}
.mini-ror-icon {
  position:relative;
  top:0;
  left:-.15em;
  }
.mini-ror-icon svg {
  width:.95em;
  height:auto;
}
.mini-orcid-icon svg {
  width: 1.2em;
  height:1.2em;
  transform: scale(1.1) translateY(.1em);
  
}
.member, .name {
    position:relative;
    line-height:1.8em;
}
.name_orcid {
    position:relative;
    display:inline-block;
}
.member .affiliation .city:before {
  content: ', ';
}

.contributors {
    display: table;
    line-height: 1.7em;
}
.contribgroup {
    font-weight: normal;
    font-size: 1.05em;
    display:table-row;
}
.contribgroup > * {
    margin-top: .5em;
    padding-bottom: .35em;
/* added to work with new .contribgroup_heading alignment below  - 20/5/22 jf */
    display:table-cell;
}
/*.contribgroup_heading {
    white-space: nowrap;
    display: table-cell;
    color: #253776;
    padding-right:2.5em;
    font-weight:bold;
} removed due to errors with extra_editorial content - 20/5/22 jf */
.contribgroup_heading {
    white-space: nowrap;
    color: var(--contrib-group-heading);
    padding-right: 2.5em;
    font-weight: var(--bold);
/*    min-width: 40mm;*/
    vertical-align: top;
}
.articleinfo .contribgroup,
.articleinfo .contribgroup > * {
  display:block;
}

.articleinfo .contribgroup_heading {
  padding-right: .5em;
  padding-bottom:0;
}
.articleinfo .contribgroup_heading + .contribgroup_members {
  margin-top:0;
}


/* override for series with long roles, like KL */
.board.long-role .contribgroup_members {
  margin-top:0;
}
.board.long-role .contribgroup_heading {
  display:block;
  padding-bottom:0;
}

/* tbv Kudos */
.kudos-widget-article {
    background-color:light-dark(#def, hsl(from var(--kudos-blue) h s 30) );
}

.kudos-widget .kudos-widget-article .kudos-widget-article-logo-img {
  float: left!important;
  background-color:light-dark(transparent, var(--kudos-blue) );
  box-sizing:content-box;
  padding:1em;
  height:35px;
}

.kudos-widget ul li {
    max-width:initial;
    list-style:none;
}
.kudos-widget .kudos-widget-article h1.kudos-article-title {
    display:none;
}
/* tbv subscriptions tab */
tr {
    vertical-align: top;
}
tr.subscriptions-backset td {
    padding: 0 .5em .5em 0;
}
.issue {
    line-height:2em;
}
.issue .label, .issue .title {
    display: table-cell;
}
.issue .label {
    min-width:4em;
}
.issue .title {
    padding-left: 1em;
    font-weight:bold;
}
/* at-sign: inline replacement to avoid exposing email addresses */
.at-sign-inline {
  height:1.1em;
  width:1.1em;
  position: relative;
  top: .3em;
  
}

/* this fixes an odd 'underline' when hovering over the JB logo in the header */
#header-content > div.logo-container > a {
    text-decoration:none;
}
@media screen and (min-width: 750px) { 
    .mini-orcid-icon.hanging {
        position:absolute;
        left:-2em;
        top:0;
    }
}
@media screen and (max-width: 750px) {
    .mini-orcid-icon.hanging {
        position:absolute;
        right:-1.75em;
        top:0;
    }
    .mini-orcid-icon.hanging ~ b {
        margin-right:2em;
    }
    .member .name {
      line-height:initial;
    }
    /* suppress dividers when the affiliations are on their own line */
    .member .name + .pipe
    , .member .affiliation + .pipe
    {
      display:none;
    }
    .affiliation {
      display:block;
    }
    .member + .member {
      margin-top:.5em;
    }
    .contribgroup {
      display:block;
    }    
    .issue .label, .issue .title {
        display:inline;
        padding:0;
    }
    .issue .title:before {
        content: ". ";
        color: var(--oranje);
    }
    .contribgroup_heading {
	    display: block;
	}
	.contribgroup_members {
	    margin-top:0;
	}

}
@media screen and (prefers-color-scheme:dark) {
  :root {
    --bold : normal;
    --letter-spacing-when-dark: .025em;
  }
  
}